Linux Mint Arch Edition GTK3 3.18

回复
头像
torachiyo
帖子: 75
注册时间: 2015-11-29 8:32
系统: Kali Linux
送出感谢: 0
接收感谢: 4 次

Linux Mint Arch Edition GTK3 3.18

#1

帖子 torachiyo » 2016-06-30 22:49

XFCE
UPD 2016-07-13:
腳本錯誤修正
套件庫切換工具
LMAE Live 系統安裝工具 (指令行界面)

添加新指令替代安裝移除套件
$ inst xxx = $sudo pacman -S xxx / sudo pacman -U xxx.pkg.tar.xz / sudo pacman -U http://xxx.xxx.pkg.tar.xz
$ del xxx = $ sudo pacman -Rs xxx
$ del = sudo pacman -Sc
$ upd = $ sudo pacman -Sy

Live 密碼: 0000

MDM顯示管理器
Mint-X GTK3 主題與桌面
Mint Maya 版(改) Plymouth 主題
預設輸入法 fcitx (del-gina 去支版)
Mint X-APP

黃金右鍵功能添加:
掛載映像檔:支援 iso nrg squashfs 等格式
DEB/PKG:解壓縮與打包
initramfs: 支援Debian/Ubuntu archlinux manjaro 等 initrd 加解密

LMAE-XFCE-64-bit
https://drive.google.com/file/d/0BwC3G7 ... sp=sharing

預設 mirror 為
https://archive.archlinux.org/repos/201 ... o/os/$arch

图片

雖然已經 hold 部份 GTK 3.18 相關套件, 但難保滾動升級會出問題.
所以不建議換官方 mirror 進行 pacman -Syu 滾動更新.

已知問題:
1. 只更新 firefox 套件 firefox 無法啟動.
arch linux 官方編譯的 firefox 有依賴問題, 可以改用官方版.
filashplayer 與 firefox 可參考
https://forum.ubuntu.org.cn/viewtopic.p ... 5&t=479178
https://forum.ubuntu.org.cn/viewtopic.p ... 5&t=479183

2. pacman -Syu 更新 mdm 無法啟動, 會進不到桌面.

跟隨官方滾動更新的方法:
1./etc/pacman.d/mirrorlist 換回官方最新的套件庫
2./etc/pacman.conf 刪除 IgnorePkg = .... 這一行 (取消 Hold GTK 3.18 相關套件)
3.移除 mdm 套件
4.移除 mint-themes-gtk3 套件

mdm 與 arch linux 目前最新的依賴套件不相容, 只相容於 webkitgtk2-2.4.10 或更早的版本, 源碼編譯也要安裝舊版依賴才有辦法編譯.
mint-themes-gtk3 版本目前只到 GTK3 3.18 目前 mint 主要發行板是 linux mint 18 基於 ubuntu 版本, 跟隨ubuntu做相關更新調整.
ubuntu 官方的GTK3套件只到 3.18, 只要 Ubuntu 的 gtk3 更新 Mint 也會隨著更新.
回复

回到 “Arch发行版”